Bug 1622728 - [v2v] [RFE] Conversion VM/host identification and deployment from CloudForms
Summary: [v2v] [RFE] Conversion VM/host identification and deployment from CloudForms
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.11.0
Assignee: Brett Thurber
QA Contact: Yadnyawalk Tale
Red Hat CloudForms Documentation
URL:
Whiteboard: v2v
Depends On: 1643938 1695767 1695792 1695810 1695818 1695847 1695855 1695861 1695869 1695886
Blocks: 1694229
TreeView+ depends on / blocked
 
Reported: 2018-08-27 21:07 UTC by Brett Thurber
Modified: 2019-12-13 15:08 UTC (History)
12 users (show)

Fixed In Version: 5.11.0.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1694229 (view as bug list)
Environment:
Last Closed: 2019-12-13 15:08:41 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)

Description Brett Thurber 2018-08-27 21:07:30 UTC
Description of problem:
Conversion VM/host identification and deployment from CloudForms


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 4 Fabien Dupont 2019-03-07 22:47:41 UTC
Still many moving pieces. We're close to convergence, but won't meet March 11 milestone. I've updated Target Release to 5.10.3 as it's more realistic.

Comment 5 Fabien Dupont 2019-03-08 22:36:59 UTC
https://github.com/ManageIQ/manageiq/pull/18537

Comment 6 Fabien Dupont 2019-03-10 18:19:47 UTC
Throttler - Replace class constant with global setting - https://github.com/ManageIQ/manageiq/pull/18539

Comment 8 Daniel Berger 2019-03-14 18:49:56 UTC
Many PR's that I've been remiss in tagging properly:

Add conversion_host option to the SupportsFeatureMixin module - https://github.com/ManageIQ/manageiq/pull/18232

Add ConversionHost validations - https://github.com/ManageIQ/manageiq/pull/18277 (see 18434 below)

Change ConversionHost resource_type validation - https://github.com/ManageIQ/manageiq/pull/18434 (followup to 18277 above)

Alter ansible_playbook method so that some arguments are optional - https://github.com/ManageIQ/manageiq/pull/18323

Simplify the ConversionHost::Configurations#enable method - https://github.com/ManageIQ/manageiq/pull/18419

Tag associated resource for conversion hosts - https://github.com/ManageIQ/manageiq/pull/18505

Default to resource name for conversion hosts - https://github.com/ManageIQ/manageiq/pull/18516

Add the resource name to the task action for conversion hosts - https://github.com/ManageIQ/manageiq/pull/18525

Fix placeholder name for conversion hosts - https://github.com/ManageIQ/manageiq/pull/18535

Comment 9 Daniel Berger 2019-03-14 19:03:13 UTC
Add supports_conversion_host to Vm - https://github.com/ManageIQ/manageiq-providers-openstack/pull/407

Add supports_conversion_host to Host - https://github.com/ManageIQ/manageiq-providers-ovirt/pull/315

Comment 12 Fabien Dupont 2019-03-18 16:46:05 UTC
Set context data for the task associated with conversion host creation - https://github.com/ManageIQ/manageiq/pull/18541
Refactor ConversionHost to use AuthenticationMixin  - https://github.com/ManageIQ/manageiq/pull/18309

Moving back to ON_DEV as the above PRs are not merged.

Comment 16 Mike Turley 2019-04-03 15:54:28 UTC
We forgot this one: https://github.com/ManageIQ/manageiq-api/pull/535

Comment 18 Satoe Imaishi 2019-05-07 17:02:31 UTC
https://github.com/ManageIQ/manageiq/pull/18724

Comment 19 Yadnyawalk Tale 2019-06-14 13:15:12 UTC
Verified on: 5.11.0.8.20190611155126_01e077e

Please note 5.11.0.8 don't have v2v-conversion-ansible package and hence migration not working with that but I have installed package manually and migration is working.
We are tracking that issue under BZ1720614.


Note You need to log in before you can comment on or make changes to this bug.